org.eclipse.emf.cdo.common.commit

## Interface CDOChangeSetDataProvider

- All Known Subinterfaces:
    CDOSavepoint, CDOTransaction, InternalCDOSavepoint, InternalCDOTransaction
  All Known Implementing Classes:
    CDOChangeSetDataRevisionProvider, CDOPushTransaction

      public interface CDOChangeSetDataProvider

  Provides consumers with `change set data` structures.
  Since:
    4.0
  Author:
    Eike Stepper
  Apiviz
    `CDOChangeSetData` - - provides

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOChangeSetData` | `getChangeSetData()`

- - ### Method Detail

    - #### getChangeSetData

          CDOChangeSetData getChangeSetData()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html